summaryrefslogtreecommitdiffstats
path: root/development/processing
diff options
context:
space:
mode:
Diffstat (limited to 'development/processing')
-rw-r--r--development/processing/README5
-rw-r--r--development/processing/doinst.sh4
-rw-r--r--development/processing/processing.Slackbuild52
-rw-r--r--development/processing/processing.desktop9
-rw-r--r--development/processing/processing.info10
-rw-r--r--development/processing/processing.pngbin0 -> 11527 bytes
-rw-r--r--development/processing/slack-desc19
7 files changed, 99 insertions, 0 deletions
diff --git a/development/processing/README b/development/processing/README
new file mode 100644
index 0000000000..8a757f3871
--- /dev/null
+++ b/development/processing/README
@@ -0,0 +1,5 @@
+Processing is a programming language, development environment, and online
+community that since 2001 has promoted software literacy within the visual
+arts. Initially created to serve as a software sketchbook and to teach
+fundamentals of computer programming within a visual context, Processing
+quickly developed into a tool for creating finished professional work as well.
diff --git a/development/processing/doinst.sh b/development/processing/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/development/processing/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/development/processing/processing.Slackbuild b/development/processing/processing.Slackbuild
new file mode 100644
index 0000000000..99ec99951a
--- /dev/null
+++ b/development/processing/processing.Slackbuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for Processing
+# Written by Diogo Leal (diogo@diogoleal.com)
+
+PRGNAM=processing
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+
+mkdir -p $PKG/opt $OUTPUT
+tar xvf $CWD/$PRGNAM-$VERSION-linux.tgz -C $PKG/opt
+mv $PKG/opt/$PRGNAM-$VERSION $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/processing.desktop $PKG/usr/share/applications
+cp $CWD/processing.png $PKG/usr/share/pixmaps
+
+chown -R root:root $PKG
+find $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/processing/processing.desktop b/development/processing/processing.desktop
new file mode 100644
index 0000000000..379e483d36
--- /dev/null
+++ b/development/processing/processing.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Processing
+GenericName=Pocessing
+Comment=Processing IDE development
+Exec=/opt/processing/processing
+Icon=processing
+Terminal=false
+Type=Application
+Categories=Qt;KDE;GTK;GNOME;Development;
diff --git a/development/processing/processing.info b/development/processing/processing.info
new file mode 100644
index 0000000000..6519e448a4
--- /dev/null
+++ b/development/processing/processing.info
@@ -0,0 +1,10 @@
+PRGNAM="processing"
+VERSION="1.5.1"
+HOMEPAGE="www.processing.org"
+DOWNLOAD="http://processing.googlecode.com/files/processing-1.5.1-linux.tgz"
+MD5SUM="a4539860c7d55b650c7e2f5ba5fdeac9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Diogo Leal"
+EMAIL="diogo@diogoleal.com"
+APPROVED="rworkman"
diff --git a/development/processing/processing.png b/development/processing/processing.png
new file mode 100644
index 0000000000..b596d34279
--- /dev/null
+++ b/development/processing/processing.png
Binary files differ
diff --git a/development/processing/slack-desc b/development/processing/slack-desc
new file mode 100644
index 0000000000..770af86134
--- /dev/null
+++ b/development/processing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+processing: processing (visual arts language and ide)
+processing:
+processing: Processing is a programming language, development environment, and
+processing: online community that since 2001 has promoted software literacy
+processing: within the visual arts.
+processing:
+processing: Initially created to serve as a software sketchbook and to teach
+processing: fundamentals of computer programming within a visual context,
+processing: Processing quickly developed into a tool for creating finished
+processing: professional work as well.
+processing: